<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
            <h2 id="jhi-ressource-demande-heading" jhiTranslate="gestioncvsApp.ressourceDemande.home.createOrEditLabel">Create or edit a Ressource Demande</h2>

            <div>
                <jhi-alert-error></jhi-alert-error>

                <div class="form-group" [hidden]="!editForm.get('id')!.value">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" formControlName="id" readonly />
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourceDemande.emploiActuel" for="field_emploiActuel">Emploi Actuel</label>
                    <input type="text" class="form-control" name="emploiActuel" id="field_emploiActuel"
                           formControlName="emploiActuel"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourceDemande.ancienneteEtude" for="field_ancienneteEtude">Anciennete Etude</label>
                    <input type="text" class="form-control" name="ancienneteEtude" id="field_ancienneteEtude"
                           formControlName="ancienneteEtude"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourceDemande.ancienneteEmploi" for="field_ancienneteEmploi">Anciennete Emploi</label>
                    <input type="text" class="form-control" name="ancienneteEmploi" id="field_ancienneteEmploi"
                           formControlName="ancienneteEmploi"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourceDemande.fonction" for="field_fonction">Fonction</label>
                    <input type="text" class="form-control" name="fonction" id="field_fonction"
                           formControlName="fonction"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourceDemande.nbRessources" for="field_nbRessources">Nb Ressources</label>
                    <input type="number" class="form-control" name="nbRessources" id="field_nbRessources"
                           formControlName="nbRessources"/>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="gestioncvsApp.ressourceDemande.appelOffre" for="field_appelOffre">Appel Offre</label>
                    <select class="form-control" id="field_appelOffre" name="appelOffre" formControlName="appelOffreId">
                        <option [ngValue]="null"></option>
                        <option [ngValue]="appelOffreOption.id" *ngFor="let appelOffreOption of appeloffres; trackBy: trackById">{{ appelOffreOption.id }}</option>
                    </select>
                </div>
            </div>

            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary" (click)="previousState()">
                    <fa-icon icon="ban"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>

                <button type="submit" id="save-entity" [disabled]="editForm.invalid || isSaving" class="btn btn-primary">
                    <fa-icon icon="save"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
